All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
CompressMarkerLabels
Computer Vision

Removes sparseness between marker label IDs output from LabelMarkers call. More...

## Data Structures

struct | NppiBufferDescriptor

## CompressMarkerLabelsGetBufferSize

Before calling any of the CompressMarkerLabels functions the application first needs to call the corresponding CompressMarkerLabelsGetBufferSize function to determine the amount of device memory to allocate as a working buffer. The application allocated device memory is then passed as the pBuffer parameter to the corresponding CompressMarkerLabels function.
NppStatus | nppiCompressMarkerLabelsGetBufferSize_8u_C1R (int nStartingNumber, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 8-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call. More...
NppStatus | nppiCompressMarkerLabelsGetBufferSize_32u8u_C1R (int nStartingNumber, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 32-bit unsigned integer to 8-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call. More...
NppStatus | nppiCompressMarkerLabelsGetBufferSize_16u_C1R (int nStartingNumber, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 16-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call. More...
NppStatus | nppiCompressMarkerLabelsGetBufferSize_32u16u_C1R (int nStartingNumber, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 32-bit unsigned integer to 16-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call. More...
NppStatus | nppiCompressMarkerLabelsGetBufferSize_32u_C1R (int nStartingNumber, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 32-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call. More...

## CompressMarkerLabels

Renumber connected region marker label IDs from a previous call to nppiLabelMarkers to eliminate label numbering sparseness.

Note that while marker label IDs still start at ID number 1, the value of pNewNumber returned by this function will represent the minimum number of label IDs to give each connected region in the image a unique label ID. However, if you initially used nppiLabelMarkers_8u and the pNumber value returned by that function was over 255 then you will still have one or more disjoint connected regions with the same label ID in the final output from this function. Also, the output of nppiCompressMarkerLabels_32u8u will only produce correct results if the pNewNumber value returned by this function is less than 256.

Before calling any of the CompressMarkerLabels functions the application first needs to call the corresponding CompressMarkerLabelsGetBufferSize to determine the amount of device memory to allocate as a working buffer. The allocated device memory is then passed as the pBuffer parameter to the corresponding CompressMarkerLabels function.

NOTE: These functions are only supported for output from the nppiLabelMarkers functions and NOT for output from nppiLabelMarkersUF functions. Only nppiCompressMarkerLabelsUF_32u works with output from nppiLabelMarkersUF functions.

NppStatus | nppiCompressMarkerLabels_8u_C1IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer in place connected region marker label renumbering with numbering sparseness elimination. More...
NppStatus | nppiCompressMarkerLabels_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer)
NppStatus | nppiCompressMarkerLabels_32u8u_C1R_Ctx (Npp32u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer to 8-bit unsigned integer connected region marker label renumbering with numbering sparseness elimination. More...
NppStatus | nppiCompressMarkerLabels_32u8u_C1R (Npp32u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer)
NppStatus | nppiCompressMarkerLabels_16u_C1IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer in place connected region marker label renumbering with numbering sparseness elimination. More...
NppStatus | nppiCompressMarkerLabels_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer)
NppStatus | nppiCompressMarkerLabels_32u16u_C1R_Ctx (Npp32u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer to 16-bit unsigned integer connected region marker label renumbering with numbering sparseness elimination. More...
NppStatus | nppiCompressMarkerLabels_32u16u_C1R (Npp32u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer)
NppStatus | nppiCompressMarkerLabels_32u_C1IR_Ctx (Npp32u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer in place connected region marker label renumbering with numbering sparseness elimination. More...
NppStatus | nppiCompressMarkerLabels_32u_C1IR (Npp32u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer)
NppStatus | nppiCompressMarkerLabelsUF_32u_C1IR_Ctx (Npp32u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer in place connected region marker label renumbering for output from nppiLabelMarkersUF functions only with numbering sparseness elimination. More...
NppStatus | nppiCompressMarkerLabelsUF_32u_C1IR (Npp32u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nStartingNumber, int *pNewNumber, Npp8u *pBuffer)

## CompressMarkerLabelsUFBatch

Renumber connected region marker label IDs from one or more previous calls to nppiLabelMarkersUF_32u_C1R(_Ctx), nppiLabelMarkersUFBatch_32u_C1R(_Ctx), or nppiLabelMarkersUFBatch_32u_C1R_Advanced(_Ctx) calls to eliminate label numbering sparseness.

Note that while marker label IDs still start at ID number 1, the value of pNewNumber returned by this function will represent the minimum number of label IDs to give each connected region in the image a unique label ID.

Before calling any of the CompressMarkerLabelsUFBatch functions the application first needs to call the corresponding CompressMarkerLabelsGetBufferSize to determine the amount of device memory to allocate as a working buffer for each image. If all of the images in the batch have the same ROI values then the total amount of device memory needed is the value returned by CompressMarkerLabelsGetBufferSize and can be allocated as a single chunk of device memory of returned buffer size value * nBatchList or separately per image in the batch. The pointer to each buffer if the images in the batch have variable ROIs is the returned buffer size for each image. This can also be allocated as a single chunk of device memory for all images in the list if desired. In any case, the buffer pointers for each image in the batch list must be set correctly per each image. Once pBufferList is created and initialized then it needs to be copied to device memory and a pointer to that list must be passed to the compression batch function.

Note that these functions are only supported for output from the UF versions of LabelMarkers functions. Also, for each marker labels image in the list the same image pointer value and ROI that were used when creating the marker labels image MUST be used.

Also note that the images in this function must be allocated with cudaMalloc() and NOT cudaMallocPitch(). And the pitch MUST be set to oSize.width * sizeof(Npp32u). And the image pointers and oSize values MUST match those used when the nppiLabelMarkersUF funcions were called.

NppStatus | nppiCompressMarkerLabelsUFBatch_32u_C1IR_Ctx (NppiImageDescriptor *pSrcDstBatchList, NppiBufferDescriptor *pBufferList, unsigned int *pNewMaxLabelIDList, int nBatchSize, NppiSize oSizeROI, int nPerImageBufferSize, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer in place label markers renumbering for output from nppiLabelMarkersUF functions only with numbering sparseness elimination image generation with one per list image ROI. More...
NppStatus | nppiCompressMarkerLabelsUFBatch_32u_C1IR (NppiImageDescriptor *pSrcDstBatchList, NppiBufferDescriptor *pBufferList, unsigned int *pNewMaxLabelIDList, int nBatchSize, NppiSize oSizeROI, int nPerImageBufferSize)
NppStatus | nppiCompressMarkerLabelsUFBatch_32u_C1IR_Advanced_Ctx (NppiImageDescriptor *pSrcDstBatchList, NppiBufferDescriptor *pBufferList, unsigned int *pNewMaxLabelIDList, int nBatchSize, NppiSize oMaxSizeROI, int nLargestPerImageBufferSize, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer in place label markers renumbering for output from nppiLabelMarkersUF functions only with numbering sparseness elimination image generation with per image ROI. More...
NppStatus | nppiCompressMarkerLabelsUFBatch_32u_C1IR_Advanced (NppiImageDescriptor *pSrcDstBatchList, NppiBufferDescriptor *pBufferList, unsigned int *pNewMaxLabelIDList, int nBatchSize, NppiSize oMaxSizeROI, int nLargestPerImageBufferSize)

## Detailed Description

Removes sparseness between marker label IDs output from LabelMarkers call.

## Function Documentation

NppStatus nppiCompressMarkerLabels_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiCompressMarkerLabels_16u_C1IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer in place connected region marker label renumbering with numbering sparseness elimination.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_16u function.
  pNewNumber | Pointer to host memory integer value where the maximum renumbered marker label ID will be returned.
  pBuffer | Pointer to device memory scratch buffer at least as large as value returned by the corresponding CompressMarkerLabelsGetBufferSize call.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompressMarkerLabels_32u16u_C1R | ( | Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiCompressMarkerLabels_32u16u_C1R_Ctx | ( | Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer to 16-bit unsigned integer connected region marker label renumbering with numbering sparseness elimination.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_32u function or ROI width * ROI height for images generated by the nppiLabelMarkersUF funcions.
  pNewNumber | Pointer to host memory integer value where the maximum renumbered marker label ID will be returned.
  pBuffer | Pointer to device memory scratch buffer at least as large as value returned by the corresponding CompressMarkerLabelsGetBufferSize call.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompressMarkerLabels_32u8u_C1R | ( | Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiCompressMarkerLabels_32u8u_C1R_Ctx | ( | Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer to 8-bit unsigned integer connected region marker label renumbering with numbering sparseness elimination.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_8u32u function or ROI width * ROI height for images generated by the nppiLabelMarkersUF funcions.
  pNewNumber | Pointer to host memory integer value where the maximum renumbered marker label ID will be returned.
  pBuffer | Pointer to device memory scratch buffer at least as large as value returned by the corresponding CompressMarkerLabelsGetBufferSize call.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompressMarkerLabels_32u_C1IR | ( | Npp32u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiCompressMarkerLabels_32u_C1IR_Ctx | ( | Npp32u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer in place connected region marker label renumbering with numbering sparseness elimination.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_8u32u function or ROI width * ROI height for images generated by the nppiLabelMarkersUF funcions.
  pNewNumber | Pointer to host memory integer value where the maximum renumbered marker label ID will be returned.
  pBuffer | Pointer to device memory scratch buffer at least as large as value returned by the corresponding CompressMarkerLabelsGetBufferSize call.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompressMarkerLabels_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiCompressMarkerLabels_8u_C1IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer in place connected region marker label renumbering with numbering sparseness elimination.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_8u function.
  pNewNumber | Pointer to host memory integer value where the maximum renumbered marker label ID will be returned.
  pBuffer | Pointer to device memory scratch buffer at least as large as value returned by the corresponding CompressMarkerLabelsGetBufferSize call.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompressMarkerLabelsGetBufferSize_16u_C1R | ( | int | nStartingNumber,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 16-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call.

Parameters

  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_16u function.
  hpBufferSize | Required buffer size in bytes.

NppStatus nppiCompressMarkerLabelsGetBufferSize_32u16u_C1R | ( | int | nStartingNumber,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 32-bit unsigned integer to 16-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call.

Parameters

  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_8u32u function or ROI width * ROI height for images generated by the nppiLabelMarkersUF funcions.
  hpBufferSize | Required buffer size in bytes.

NppStatus nppiCompressMarkerLabelsGetBufferSize_32u8u_C1R | ( | int | nStartingNumber,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 32-bit unsigned integer to 8-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call.

Parameters

  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_8u32u function or ROI width * ROI height for images generated by the nppiLabelMarkersUF funcions.
  hpBufferSize | Required buffer size in bytes.

NppStatus nppiCompressMarkerLabelsGetBufferSize_32u_C1R | ( | int | nStartingNumber,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 32-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call.

Note that this is the only function that supports the nppiCompressMarkerLabelsUF_32u function and that nStartingNumber MUST be ROI width * ROI height when used with that function.

Parameters

  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_32u function or ROI width * ROI height for images generated by the nppiLabelMarkersUF function and those values MUST match the values used those used in that call.
  hpBufferSize | Required buffer size in bytes.

NppStatus nppiCompressMarkerLabelsGetBufferSize_8u_C1R | ( | int | nStartingNumber,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 8-bit unsigned integer CompressMarkerLabels function based on the number returned in pNumber from a previous nppiLabelMarkers call.

Parameters

  nStartingNumber | The value returned from a previous call to the nppiLabelMarkers_8u function.
  hpBufferSize | Required buffer size in bytes.

NppStatus nppiCompressMarkerLabelsUF_32u_C1IR | ( | Npp32u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiCompressMarkerLabelsUF_32u_C1IR_Ctx | ( | Npp32u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nStartingNumber,
|  | int * | pNewNumber,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer in place connected region marker label renumbering for output from nppiLabelMarkersUF functions only with numbering sparseness elimination.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step. NOTE THAT THIS VALUE MUST BE EQUAL TO oSizeROI.width * sizeof(Npp32u).
  oSizeROI | Region-of-Interest (ROI).
  nStartingNumber | MUST be ROI width * ROI height and MUST match ROI values used in the label markers generation function call.
  pNewNumber | Pointer to host memory integer value where the maximum renumbered marker label ID will be returned.
  pBuffer | Pointer to device memory scratch buffer at least as large as value returned by the corresponding CompressMarkerLabelsGetBufferSize call.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

Note that the image in this function must be allocated with cudaMalloc() and NOT cudaMallocPitch(). Also the pitch MUST be set to oSizeROI.width * sizeof(Npp32u). And the image pointer and oSizeROI values MUST match those used when nppiLabelMarkersUF was called.

NppStatus nppiCompressMarkerLabelsUFBatch_32u_C1IR | ( | NppiImageDescriptor * | pSrcDstBatchList,
|  | NppiBufferDescriptor * | pBufferList,
|  | unsigned int * | pNewMaxLabelIDList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI,
|  | int | nPerImageBufferSize
| ) |  |

NppStatus nppiCompressMarkerLabelsUFBatch_32u_C1IR_Advanced | ( | NppiImageDescriptor * | pSrcDstBatchList,
|  | NppiBufferDescriptor * | pBufferList,
|  | unsigned int * | pNewMaxLabelIDList,
|  | int | nBatchSize,
|  | NppiSize | oMaxSizeROI,
|  | int | nLargestPerImageBufferSize
| ) |  |

NppStatus nppiCompressMarkerLabelsUFBatch_32u_C1IR_Advanced_Ctx | ( | NppiImageDescriptor * | pSrcDstBatchList,
|  | NppiBufferDescriptor * | pBufferList,
|  | unsigned int * | pNewMaxLabelIDList,
|  | int | nBatchSize,
|  | NppiSize | oMaxSizeROI,
|  | int | nLargestPerImageBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer in place label markers renumbering for output from nppiLabelMarkersUF functions only with numbering sparseness elimination image generation with per image ROI.

Parameters

  pSrcDstBatchList | Source-Batch-Images Pointer device memory pointer to the list of device memory image descriptors, per image oSize ROI is used.
  pBufferList | Device memory pointer to the list of NppiBufferDescriptor buffer descriptors specifying per image device memory buffer pointers and sizes as returned by per image CompressMarkerLabelsGetBufferSize calls.
  pNewMaxLabelIDList | Device memory pointer at least nBatchSize * sizeof(Npp32u) bytes which will contain the returned per image new maximum label ID.
  nBatchSize | Number of NppiImageDescriptor, NppiBufferDescriptor, and new max number structures/values processed in this call (must be > 1).
  oMaxSizeROI | Region-of-Interest (ROI) maximum ROI width and height of ALL images in the batch, MUST match the ROI used when the label markers UF image was generated.
  nLargestPerImageBufferSize | The value of the the largest per image buffer size value returned by the per image calls to CompressMarkerLabelsGetBufferSize for the images in the batch list.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompressMarkerLabelsUFBatch_32u_C1IR_Ctx | ( | NppiImageDescriptor * | pSrcDstBatchList,
|  | NppiBufferDescriptor * | pBufferList,
|  | unsigned int * | pNewMaxLabelIDList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI,
|  | int | nPerImageBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer in place label markers renumbering for output from nppiLabelMarkersUF functions only with numbering sparseness elimination image generation with one per list image ROI.

Parameters

  pSrcDstBatchList | Source-Batch-Images Pointer device memory pointer to the list of device memory image descriptors, per image oSize is ignored.
  pBufferList | Device memory pointer to the list of NppiBufferDescriptor buffer descriptors specifying per image device memory buffer pointers and size as returned by at least one CompressMarkerLabelsGetBufferSize call.
  pNewMaxLabelIDList | Device memory pointer at least nBatchSize * sizeof(Npp32u) bytes which will contain the returned per image new maximum label ID.
  nBatchSize | Number of NppiImageDescriptor, NppiBufferDescriptor, and new max number structures/values processed in this call (must be > 1).
  oSizeROI | Region-of-Interest (ROI) ROI width and height of ALL images in the batch, MUST match the ROI used when the label markers UF image was generated.
  nPerImageBufferSize | The value of the buffer size value returned by the call to CompressMarkerLabelsGetBufferSize for one image in the batch list.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation